// creator  : weidu.exe (version 23100)
// argument : HELLGREE.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~HELLGREE~

IF ~NumTimesTalkedTo(0)
Global("Player1Fear","GLOBAL",0)
Global("Player1Selfish","GLOBAL",0)
Global("Player1Greed","GLOBAL",0)
Global("Player1Pride","GLOBAL",0)
Global("Player1Wrath","GLOBAL",0)~ THEN BEGIN 0 // from:
  SAY #54857 /* ~Ahhh... ssssso.  You come to us at lassst, Child of Bhaal.  You come to claims your heritage, perhapsss?  And in pieces, no lessss.  Tsk tsk tsk tssss... how terrible it mussst be to die in sssuch a ssstate.~ [HELGRE06] */
  IF ~~ THEN REPLY #54858 /* ~Claim my heritage?  What are you talking about?~ */ GOTO 1
  IF ~~ THEN REPLY #54880 /* ~I am not dead!  Irenicus is dead and somehow I have followed him here.~ */ GOTO 6
  IF ~~ THEN REPLY #54883 /* ~What are you talking about 'in pieces'?  What kind of riddle is this?~ */ GOTO 7
  IF ~~ THEN REPLY #54886 /* ~Continue to speak to me in such a manner, fiend, and you shall perish where you stand.~ */ GOTO 8
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #54859 /* ~Thisss isss Bhaal'sssss realm.  You have not faded to join the former Lord of Murder'ssss essssence, have you?  No... ssssso your blood holdsss sssway, here.~ */
  IF ~~ THEN REPLY #54860 /* ~Holds sway?  What are you speaking of?~ */ GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 8.0 7.0 6.0 1.0
  SAY #54861 /* ~You hold power here... or rather the pieccce of Bhaal within you holdsss power here. And that part ressstss now in both you and the other one, the wizard, yesss?~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #54862 /* ~He ssstole much of your sssoul, but not all, sso you are tethered to him, asss he isss to you.  Neither of you iss dead, and neither iss alive.  Interesssting.~ */
  IF ~~ THEN REPLY #54863 /* ~So how do I end this, fiend?  Will you tell me that?~ */ GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #54864 /* ~But you already knowsss!  You mussst ssseek your sssoul by gathering the Tearssss of Bhaal... only *then* shall the wayss be open to you.~ */
  IF ~~ THEN REPLY #54865 /* ~The Tears of Bhaal?~ */ GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #54866 /* ~Death caussesss many tearsss, Child, and Bhaal collected them whiless he lived. The Tearssss will open the eyesss... and show you the path to your sssssoul.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #5017 /* ~Finding Irenicus in Hell

The demon I encountered has explained much.  This plane was once the realm controlled by Bhaal, and my heritage means that I hold a certain amount of power over it.  So does Irenicus, however, since he remains in possession of most of my soul.  I don't quite understand, but the great doorway in this place 'represents' the path to my own soul... the other piece that the mage holds.  So long as Irenicus holds that piece, we are tethered... it is what drew me down here, and is the reason why neither of us is fully dead or alive.

By finding the Tears of Bhaal, I will be able to open the doorway and face Irenicus.  And then, I suppose, I must take all of my soul back.  What will happen then, I can only wonder.~ */ GOTO 19
END

IF ~~ THEN BEGIN 6 // from: 0.1
  SAY #54881 /* ~And hence your esssence hass not faded to rejoin the deadss Lord of Murder.  Thisss isss Bhaal'sss realm, and your blood holdss ssway in thiss piece of Hell.~ */
  IF ~~ THEN REPLY #54882 /* ~Holds sway?  What are you speaking of?~ */ GOTO 2
END

IF ~~ THEN BEGIN 7 // from: 0.2
  SAY #54884 /* ~I sspeak of your sssoul, Child of Murder. You have a piece of the whole, sso your esssence hass not faded to rejoin dead Bhaal. Now your blood holdss ssway here.~ */
  IF ~~ THEN REPLY #54885 /* ~Holds sway?  What are you speaking of?~ */ GOTO 2
END

IF ~~ THEN BEGIN 8 // from: 0.3
  SAY #54887 /* ~I bowss before you, of coursse. You are a Child of Murder whosse esssence hass not rejoined dead Bhaal. In your Father'sss realm your blood holdss ssway.~ */
  IF ~~ THEN REPLY #54888 /* ~Holds sway?  What are you speaking of?~ */ GOTO 2
END

IF ~GlobalGT("Player1Fear","GLOBAL",0)
GlobalGT("Player1Selfish","GLOBAL",0)
Global("Player1Greed","GLOBAL",0)
GlobalGT("Player1Pride","GLOBAL",0)
GlobalGT("Player1Wrath","GLOBAL",0)~ THEN BEGIN 9 // from:
  SAY #54896 /* ~Ah.  Ssssso the Child of Bhaal comesss to me, finally, for the lassst of the Tearsssss of Bhaal.  You have come very nearss to locating your quarry... yesssss, indeedss you have.~ [HELGRE07] */
  IF ~~ THEN REPLY #54897 /* ~What are you talking about?!  All I have done is been subjected to a series of strange tests!~ */ GOTO 10
  IF ~~ THEN REPLY #54908 /* ~I suppose you're going to tell me Irenicus has been waiting behind that strange doorway this entire time?~ */ GOTO 17
  IF ~~ THEN REPLY #54911 /* ~You are making no sense.  Explain or die, fiend.~ */ GOTO 18
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #54898 /* ~Tesstss? Of a ssort. Remember that the mage holdss power here too, and sseekss to prevent you finding him. The tesstss are of your ownss making, from your ownss power here.~ */
  IF ~~ THEN REPLY #54899 /* ~What do you mean?~ */ GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 18.0 17.0 10.0
  SAY #54900 /* ~How doess one find one'ss sssoul, Child of Bhaal?  You musst know yoursself, the depthss of your passion and the heightss of your depravity.~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 11.0
  SAY #54901 /* ~You comess to know what you are capable of... and that sshall open the way to finding your sssoul. You sseek yoursself, your esssence... whether you knowss it or not.~ */
  IF ~~ THEN GOTO 13
END

IF ~~ THEN BEGIN 13 // from: 12.0
  SAY #54902 /* ~And becausse thiss iss what you sseek, your power fightss against the mage'ss and workss to reach your goal. Ssoon you will open the eyess with the Tearss of Bhaal.~ */
  IF ~~ THEN REPLY #54903 /* ~And what then?  The door will be open and Irenicus will be there?~ */ GOTO 14
END

IF ~~ THEN BEGIN 14 // from: 13.0
  SAY #54904 /* ~The way to your sssoul shall be sshown, but it iss a doorway only in your perception. A mortal mind can attain more power here than itss facultiess can comprehend.~ */
  IF ~~ THEN GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 14.0
  SAY #54905 /* ~I hopesss you have been careful, Child of Bhaal.  The Nine Hellsss are a place of retribution... the Tearsssss sting asss easssily asss they ssssoothe.~ */
  IF ~~ THEN REPLY #54906 /* ~Why are you speaking so cryptically?  What does that mean?~ */ GOTO 16
END

IF ~~ THEN BEGIN 16 // from: 15.0
  SAY #54907 /* ~I obssscure the truth becausse it iss my nature to do sso, o <PRO_LADYLORD> of Murder. But I bow to your massstery, here, and ansswer your questionss neverthelesss.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #6945 /* ~Finding Irenicus in Hell

The demon that holds the last of the Tears of Bhaal has made things clearer to me.  In this place, this piece of Hell over which I hold power, things are not what they seem.  My inner thoughts battle against Irenicus, here.  I search for him and he seeks to obscure himself.  But Irenicus has my soul... and the way to discover my soul is to know more of it.  Hence the 'tests' that I am putting myself through.  With each I grow closer to Irenicus' location, and soon the way to my soul will be clear.

The idea that my subconscious is what gives this place form and summons these demons is disturbing.  More so, perhaps, because it seems to happen so naturally.  The demon also warned me that the Tears of Bhaal sting... Hell is a place of retribution.  What it means by that I do not know.~ */ GOTO 19
END

IF ~~ THEN BEGIN 17 // from: 9.1
  SAY #54909 /* ~Of coursse not.  He movess quickly, yet you are fasster.  These tesstss you place on yourself are clever, young <PRO_LADYLORD> of Murder.  Your power here iss sstrong.~ */
  IF ~~ THEN REPLY #54910 /* ~What do you mean?~ */ GOTO 11
END

IF ~~ THEN BEGIN 18 // from: 9.2
  SAY #54912 /* ~Your prey movess quickly, but the tesstss you devised for yoursself lead you ever closser to him. Your power iss sstrong here, desspite the ressisstance of the mage.~ */
  IF ~~ THEN REPLY #54913 /* ~What do you mean?~ */ GOTO 11
END

IF ~True()~ THEN BEGIN 19 // from: 16.0 5.0
  SAY #55048 /* ~One of the Tearssss doessss lie near thisss very place.  It isss in the possession of another, one with sssso much power.  Sssso difficult to defeat, it isss.~ [HELGRE02] */
  IF ~~ THEN GOTO 20
END

IF ~~ THEN BEGIN 20 // from: 19.0
  SAY #55049 /* ~But all thingss, even the most powerful, can be overcome, yess?  You have defeated many whossse claims of power were ssso hollow.  You tore them down from their thronesss...~ [HELGRE08] */
  IF ~~ THEN REPLY #55051 /* ~What does that have to do with the Tear?~ */ GOTO 21
END

IF ~~ THEN BEGIN 21 // from: 20.0
  SAY #55052 /* ~Ahhh, alwaysss you have used the right toolsss to defeat your foesss, yesss?  And I am giving you, now, the right tool to defeat thisss one.~ [HELGRE09] */
  IF ~~ THEN GOTO 22
END

IF ~~ THEN BEGIN 22 // from: 21.0
  SAY #55053 /* ~Here it iss... gaze upon the sssword that iss named 'Blackrazor'.  Mosst powerful, it iss.  And it iss the tool you need to defeat the one who holdss the Tear.~ [HELGRE10] */
  IF ~~ THEN DO ~GiveItem("MISCBC",LastTalkedToBy)~ GOTO 23
END

IF ~~ THEN BEGIN 23 // from: 22.0
  SAY #55054 /* ~It isss for you to decide, Child of Bhaal, how to usssse the tool you have.  I leave you to your choice, then, young <PRO_LADYLORD> of thisss place...~ [HELGRE11] */
  IF ~~ THEN DO ~CreateVisualEffectObject("SPPLANAR",Myself)
Wait(2)
DestroySelf()~ UNSOLVED_JOURNAL #6330 /* ~Finding Irenicus in Hell

A demon gave me a sword, 'Blackrazor', saying it is the only way to defeat a powerful creature who holds the Tear of Bhaal I seek.~ */ EXIT
END
